Skip to main content
POST
/
pan-udyam
Fetch Udyam with PAN
curl --request POST \
  --url https://sandbox.cashfree.com/verification/pan-udyam \
  --header 'Content-Type: application/json' \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>' \
  --data '
{
  "verification_id": "pj4aaF7AQZ",
  "pan": "ABCPV1234D"
}
'
import requests

url = "https://sandbox.cashfree.com/verification/pan-udyam"

payload = {
    "verification_id": "pj4aaF7AQZ",
    "pan": "ABCPV1234D"
}
headers = {
    "x-client-id": "<api-key>",
    "x-client-secret": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'x-client-id': '<api-key>',
    'x-client-secret': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({verification_id: 'pj4aaF7AQZ', pan: 'ABCPV1234D'})
};

fetch('https://sandbox.cashfree.com/verification/pan-udyam', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "verification_id": "pj4aaF7AQZ", "reference_id": 3478315, "status": "SUCCESS", "pan": "ABCPV1234D", "udyam": "UDYAM-MH-26-1234567" }

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if two-factor authentication is selected as Public Key. More details.

Body

application/json

Find the request parameters to retrieve the information of a Udyam number.

verification_id
string
required

It is the unique ID you create to identify the verification request. The maximum character limit is 50. Alphanumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.

Example:

"pj4aaF7AQZ"

pan
string

It is the PAN number to fetch the associated Udyam registration number.

Example:

"ABCPV1234D"

Response

Success response for PAN to Udyam verification.

verification_id
string

It displays the unique ID you created to identify the verification request.

Example:

"pj4aaF7AQZ"

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes.

Example:

3478315

status
enum<string>

It displays the status of the verification request.

Available options:
SUCCESS,
UDYAM_NOT_FOUND,
UDYAM_IS_CANCELLED
Example:

"SUCCESS"

pan
string

It displays the PAN number.

Example:

"ABCPV1234D"

udyam
string | null

It displays the Udyam registration number associated with the PAN.

Example:

"UDYAM-UP-43-1234567"